curl --request POST \
--url {scheme}://{host}:{port}/{basePath}/v1/table/{id}/refresh \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"identity": {
"api_key": "<string>",
"auth_token": "<string>"
},
"id": [
"<string>"
],
"src_version": 123,
"max_rows_per_fragment": 123,
"concurrency": 123,
"intra_applier_concurrency": 123,
"cluster": "<string>",
"manifest": "<string>"
}
'{
"job_id": "<string>"
}Trigger an asynchronous refresh job for a materialized view backed by table id.
Returns a job ID for tracking.
A valid request URL is required to generate request examples{
"job_id": "<string>"
}Documentation Index
Fetch the complete documentation index at: https://docs.lancedb.com/llms.txt
Use this file to discover all available pages before exploring further.
The access token received from the authorization server in the OAuth 2.0 flow.
string identifier of an object in a namespace, following the Lance Namespace spec.
When the value is equal to the delimiter, it represents the root namespace.
For example, v1/namespace/$/list performs a ListNamespace on the root namespace.
An optional delimiter of the string identifier, following the Lance Namespace spec.
When not specified, the $ delimiter must be used.
Identity information of a request.
Show child attributes
Table identifier path (namespace + table name)
Optional source version to refresh from
Optional maximum rows per fragment
Optional concurrency override
Optional intra-applier concurrency override
Optional cluster name
Optional manifest name
Refresh job accepted
The job ID for tracking the refresh job
Was this page helpful?